# sc::SCElementOp3 Class Reference

The SCElementOp3 class is very similar to the SCElementOp class except that a triplet of blocks is treated simultaneously. More...

`#include <elemop.h>`

Inheritance diagram for sc::SCElementOp3:

List of all members.

## Public Member Functions

| SCElementOp3 (StateIn &s)
virtual int | has_collect ()
virtual void | defer_collect (int)
virtual int | has_side_effects ()
virtual int | has_side_effects_in_arg1 ()
virtual int | has_side_effects_in_arg2 ()
virtual void | collect (const Ref< MessageGrp > &)
virtual void | process (SCMatrixBlockIter &, SCMatrixBlockIter &, SCMatrixBlockIter &)=0
void | process_base (SCMatrixBlock *, SCMatrixBlock *, SCMatrixBlock *)
virtual void | process_spec_rect (SCMatrixRectBlock *, SCMatrixRectBlock *, SCMatrixRectBlock *)
virtual void | process_spec_ltri (SCMatrixLTriBlock *, SCMatrixLTriBlock *, SCMatrixLTriBlock *)
virtual void | process_spec_diag (SCMatrixDiagBlock *, SCMatrixDiagBlock *, SCMatrixDiagBlock *)
virtual void | process_spec_vsimp (SCVectorSimpleBlock *, SCVectorSimpleBlock *, SCVectorSimpleBlock *)

## Detailed Description

The SCElementOp3 class is very similar to the SCElementOp class except that a triplet of blocks is treated simultaneously.

The three matrices involved must have identical storage layout, which will be the case if all matrices are of the same type and dimensions.

The documentation for this class was generated from the following file:

- elemop.h